## abiword-2.4.5.tar.bz2

=== abi/src/tools/cdump/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../..
include $(ABI_ROOT)/src/config/abi_defs_wp.mk

DIRS=		xp $(ABI_NATIVE)

include $(ABI_ROOT)/src/config/abi_rules.mk

=== abiword-plugins/wp/impexp/passepartout/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiPassepartout
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ie_exp_passepartout.$(OBJ_SUFFIX) \
					$(OBJDIR)/ie_impexp_passepartout.$(OBJ_SUFFIX) 	

ifeq ($(ABI_FE), Win32)
ifeq ($(OS_NAME), MINGW32)
        EXTRA_LIBS+=    -lAbiWord.dll
else
	EXTRA_LIBS+=  $(BINDIR)/AbiWord.$(LIB_SUFFIX) 
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abiword-plugins/wp/impexp/wordperfect/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

DIRS=				xp

LIBRARY_NAME=		AbiWordPerfect
LIBRARY_VERSION=	$(ABI_VERSION)
TARGETS=			$(PLUGIN)

OBJS=				$(OBJDIR)/ie_impexp_WordPerfect.$(OBJ_SUFFIX) \
				$(OBJDIR)/ie_imp_WordPerfect.$(OBJ_SUFFIX) \
				$(OBJDIR)/ie_exp_WordPerfect.$(OBJ_SUFFIX)

ifeq ($(ABI_FE), Win32)
ifeq ($(OS_NAME), MINGW32)
	EXTRA_LIBS+=  $(shell pkg-config --libs libwpd-0.8 libwpd-stream-0.8)
	EXTRA_LIBS+=  -lAbiWord.dll
else
	EXTRA_LIBS+=  $(BINDIR)/AbiWord.$(LIB_SUFFIX)
	EXTRA_LIBS+=  $(ABI_ROOT)/../libs/libwpd2/libwpd2.$(LIB_SUFFIX)
	EXTRA_LIBS+=  $(ABI_ROOT)/../libs/libgsf/libgsf.$(LIB_SUFFIX)
	EXTRA_LIBS+=  $(ABI_ROOT)/../libs/glib-2.2/lib/glib-2.0.$(LIB_SUFFIX)
	EXTRA_LIBS+=  $(ABI_ROOT)/../libs/glib-2.2/lib/gobject-2.0.$(LIB_SUFFIX)
	ABI_APPLIBS=  Abi_zlib
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abi/src/af/ev/qnx/Makefile ===
#! gmake

## AbiSource Program Utilities
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs_wp.mk

CPPSRCS=		ev_QNXKeyboard.cpp		\
			ev_QNXMenu.cpp			\
			ev_QNXMouse.cpp		\
			ev_QNXToolbar.cpp		\
			ev_QNXToolbar_ViewListener.cpp

TARGETS=		$(OBJS)

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abi/src/tools/cdump/xp/Makefile ===
#! gmake

## AbiSource Program Utilities
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs.mk

CSRCS=			cdump.c

TARGETS=		$(OBJS)

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abi/src/tools/po2str/qnx/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../..

include $(ABI_ROOT)/src/config/abi_defs.mk

OBJS=			$(OBJDIR)/po2str.$(OBJ_SUFFIX)

PROGRAM=		$(BINDIR)/po2str$(EXE_SUFFIX)

TARGETS=		$(PROGRAM)

include $(ABI_ROOT)/src/config/abi_rules.mk

##################################################################
## everything below here must *FOLLOW* abi_rules
##################################################################

$(PROGRAM): $(OBJS)
	@$(MAKE_OBJDIR)
	@echo Linking $(PROGRAM)
	@$(CCC) -o $@ $(CFLAGS) $(OBJS)

build:: $(TARGETS)
	@echo cdump built

=== abiword-plugins/wp/impexp/hancom/xp/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

TARGETS=			$(OBJS)
CPPSRCS= 			ie_imp_hancom.cpp

ifeq ($(ABI_FE), Win32)
ifeq ($(OS_NAME), MINGW32)
	INCLUDES+=	$(ABI_GSF_INC)
endif
endif

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abiword-plugins/wp/impexp/iscii-text/xp/Makefile ===
#! gmake

## AbiWord
## Copyright (C) 1998 AbiSource, Inc.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
## 02111-1307, USA.

ABI_ROOT:=$(shell pwd)/../../../../../abi
include $(ABI_ROOT)/src/config/abi_defs.mk

TARGETS=			$(OBJS)
CPPSRCS= 			ie_exp_ISCII.cpp \
		 			ie_imp_ISCII.cpp \
					ie_impexp_ISCII.cpp

include $(ABI_ROOT)/src/config/abi_rules.mk

build:: $(TARGETS)

=== abi/src/pkg/maemo/debian/control ===
Source: abiword
Section: editors
Priority: optional
Maintainer: Rodrigo Parra Novo <rodrigo.novo@indt.org.br>
Uploaders: Rodrigo Parra Novo <rodrigo.novo@indt.org.br>
Build-Depends: debhelper (>> 4.0.0), libfribidi-dev, libglib2.0-dev, libgtk2.0-dev, libjpeg62-dev, libpng12-dev, libreadline4-dev
Standards-Version: 3.6.1

Package: abiword
Section: editors
Architecture: any
Depends: libfribidi0, libgsf-1, libgnomeprintui2.2-0, libgnomeprint2.2-0
Description: AbiWord is a free word processing program similar to Microsoft® Word. It is suitable for typing papers, letters, reports, memos, and so forth.
